Page MenuHomePhabricator

Always use python-based SWIG generation script for CMake
ClosedPublic

Authored by zturner on Dec 16 2014, 3:38 PM.

Details

Summary

As a first step in addressing http://llvm.org/bugs/show_bug.cgi?id=21921 this patch prefers the python-based SWIG generation by default rather than the shell-based SWIG generation any time python is enabled (e.g. LLDB_DISABLE_PYTHON is 0).

Additionally, this patch changes the default value of LLDB_DISABLE_PYTHON from 1 to 0 on Windows.

Anyone not using the CMake build is unaffected by this patch.

Diff Detail

Event Timeline

zturner updated this revision to Diff 17373.Dec 16 2014, 3:38 PM
zturner retitled this revision from to Always use python-based SWIG generation script for CMake.
zturner updated this object.
zturner edited the test plan for this revision. (Show Details)
zturner added reviewers: emaste, ovyalov, vharron.
zturner added a subscriber: Unknown Object (MLST).

Going to check this in today if there are no objections. I'm going to be out all of next week, so I don't want to wait until the last minute.

vharron accepted this revision.Feb 19 2015, 9:48 AM
vharron edited edge metadata.
This revision is now accepted and ready to land.Feb 19 2015, 9:48 AM
zturner closed this revision.Feb 20 2015, 12:37 PM